Subject: Re: bug#23354: 25.1.50; Unicode literals aren't handled correctly by some commands

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 04 Aug 2020 11:37:29 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Philipp Stephani <[email-masked]> writes:
>
>> Thanks, I've attached a patch that should fix
>> eval-print-last-expr. This doesn't
>> fix backward-sexp, because I think that would be much harder. 
>
> Thanks; applied.  I hope somebody else can fix backward-sexp and
> friends.  :-)

I just checked whether things has changed -- and, no, backward-sexp and
friends still do the wrong thing on Unicode literals like

?\N{HEAVY CHECK MARK}

in Emacs Lisp buffers.  In particular, backward-sexp after the final "}"
skips to the start of "MARK", and forward-sexp at the start skips to the
end of "HEAVY".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no